/* ===== PORTFOLIO SECTION ===== */
.portfolio {
    margin-top: 2.5rem;
    margin-bottom: 2.5rem;
    padding: 0 0.5rem;
}

@media (min-width: 768px) {
    .portfolio {
        margin-top: 3.75rem;
        margin-bottom: 6.25rem;
    }
}

@media (min-width: 1280px) {
    .portfolio {
        margin-top: 6.25rem;
    }
}

.portfolio-header {
    margin-bottom: 1.25rem;
    text-align: center;
    max-width: 36.0625rem;
    margin-left: auto;
    margin-right: auto;
}

@media (min-width: 1280px) {
    .portfolio-header {
        margin-bottom: 4.375rem;
    }
}

.portfolio-header .section-title {
    margin-bottom: 0;
}

.portfolio-header-desc {
    font-weight: 400;
    font-size: 1.125rem;
    padding-top: 1.5rem;
    color: var(--gray-400);
}

@media (max-width: 639px) {
    .portfolio-header-desc {
        font-size: 0.875rem;
        padding: 1.5rem 0.5rem 0;
    }
}

/* Projects grid */
.portfolio-grid-wrapper {
    display: flex;
    justify-content: center;
}

.portfolio-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1.5rem;
}

@media (min-width: 768px) {
    .portfolio-grid {
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 1280px) {
    .portfolio-grid {
        grid-template-columns: repeat(3, 1fr);
    }
}

/* Project card */
.project-card {
    max-width: 26.5rem;
    border-radius: 0.5rem;
    border: 1px solid var(--gray-200);
    overflow: hidden;
    transition: var(--transition-fast);
}

.project-card:hover {
    box-shadow: 0 25px 50px -12px rgba(209, 213, 219, 0.5);
}

.project-card img {
    width: 100%;
    object-fit: cover;
}

.project-card-body {
    padding: 1rem;
}

@media (min-width: 363px) {
    .project-card-body {
        padding: 2rem;
    }
}

.project-card-category {
    color: var(--gray-400);
    font-size: 0.75rem;
    font-weight: 500;
}

.project-card-title {
    color: var(--gray-900);
    font-size: 1rem;
    font-weight: 600;
    padding-top: 0.25rem;
    margin-bottom: 0.75rem;
}

@media (min-width: 340px) {
    .project-card-title {
        font-size: 1.125rem;
    }
}

.project-card-desc {
    color: var(--gray-600);
    font-size: 0.75rem;
    line-height: 20px;
    letter-spacing: 0;
}

@media (min-width: 340px) {
    .project-card-desc {
        font-size: 0.875rem;
    }
}

.project-card-link {
    display: inline-flex;
    align-items: center;
    gap: 0.25rem;
    margin-top: 1.25rem;
    padding: 0.75rem 1.5rem;
    background: var(--white);
    border: 1px solid var(--gray-200);
    border-radius: 0.5rem;
    font-size: 0.875rem;
    font-weight: 600;
    color: var(--gray-900);
    text-decoration: none;
    transition: var(--transition-fast);
}

@media (min-width: 363px) {
    .project-card-link {
        font-size: 1rem;
        gap: 0.75rem;
        padding: 1.4375rem 1.5rem;
    }
}

@media (max-width: 639px) {
    .project-card-link {
        width: 100%;
        justify-content: center;
    }
}

.project-card-link:hover {
    border-color: var(--picto-primary);
    color: var(--picto-primary);
    gap: 1rem;
}

/* More project btn */
.portfolio-more {
    text-align: center;
}

.portfolio-more-btn {
    margin-top: 3.125rem;
    padding: 0.75rem 1.5rem;
    font-size: 1rem;
    font-weight: 600;
}